net.minecraftforge.common

## Class ConfigCategory

- java.lang.Object
- - net.minecraftforge.common.ConfigCategory

- All Implemented Interfaces:
    Map<String,Property>

      public class ConfigCategory
      extends Object
      implements Map<String,Property>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ConfigCategory` | `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigCategory(String name)`
    `ConfigCategory(String name, ConfigCategory parent)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `boolean` | `containsKey(Object key)`
    `boolean` | `containsKey(String key)`
    `boolean` | `containsValue(Object value)`
    `Set<Map.Entry<String,Property>>` | `entrySet()`
    `boolean` | `equals(Object obj)`
    `Property` | `get(Object key)`
    `Property` | `get(String key)`
    `Set<ConfigCategory>` | `getChildren()`
    `ConfigCategory` | `getFirstParent()`
    `String` | `getQualifiedName()`
    `static String` | `getQualifiedName(String name, ConfigCategory parent)`
    `Map<String,Property>` | `getValues()`
    `boolean` | `hasChanged()`
    `boolean` | `isChild()`
    `boolean` | `isEmpty()`
    `Set<String>` | `keySet()`
    `Property` | `put(String key, Property value)`
    `void` | `putAll(Map<? extends String,? extends Property> m)`
    `Property` | `remove(Object key)`
    `void` | `removeChild(ConfigCategory child)`
    `void` | `setComment(String comment)`
    `int` | `size()`
    `Collection<Property>` | `values()`
    `void` | `write(BufferedWriter out, int indent)`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `hashCode`

- - ### Field Detail

    - #### parent

          public final ConfigCategory parent

  - ### Constructor Detail

    - #### ConfigCategory

          public ConfigCategory(String name)

    - #### ConfigCategory

          public ConfigCategory(String name,
                        ConfigCategory parent)

  - ### Method Detail

    - #### equals

          public boolean equals(Object obj)

      Specified by:
        `equals` in interface `Map<String,Property>`
      Overrides:
        `equals` in class `Object`

    - #### getQualifiedName

          public String getQualifiedName()

    - #### getQualifiedName

          public static String getQualifiedName(String name,
                                ConfigCategory parent)

    - #### getFirstParent

          public ConfigCategory getFirstParent()

    - #### isChild

          public boolean isChild()

    - #### getValues

          public Map<String,Property> getValues()

    - #### setComment

          public void setComment(String comment)

    - #### containsKey

          public boolean containsKey(String key)

    - #### get

          public Property get(String key)

    - #### write

          public void write(BufferedWriter out,
                   int indent)
                     throws IOException

      Throws:
        `IOException`

    - #### hasChanged

          public boolean hasChanged()

    - #### size

          public int size()

      Specified by:
        `size` in interface `Map<String,Property>`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `Map<String,Property>`

    - #### containsKey

          public boolean containsKey(Object key)

      Specified by:
        `containsKey` in interface `Map<String,Property>`

    - #### containsValue

          public boolean containsValue(Object value)

      Specified by:
        `containsValue` in interface `Map<String,Property>`

    - #### get

          public Property get(Object key)

      Specified by:
        `get` in interface `Map<String,Property>`

    - #### put

          public Property put(String key,
                     Property value)

      Specified by:
        `put` in interface `Map<String,Property>`

    - #### remove

          public Property remove(Object key)

      Specified by:
        `remove` in interface `Map<String,Property>`

    - #### putAll

          public void putAll(Map<? extends String,? extends Property> m)

      Specified by:
        `putAll` in interface `Map<String,Property>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `Map<String,Property>`

    - #### keySet

          public Set<String> keySet()

      Specified by:
        `keySet` in interface `Map<String,Property>`

    - #### values

          public Collection<Property> values()

      Specified by:
        `values` in interface `Map<String,Property>`

    - #### entrySet

          public Set<Map.Entry<String,Property>> entrySet()

      Specified by:
        `entrySet` in interface `Map<String,Property>`

    - #### getChildren

          public Set<ConfigCategory> getChildren()

    - #### removeChild

          public void removeChild(ConfigCategory child)